Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
Re: [opensuse-factory] php5 drop
Hello,

Am Mittwoch, 28. Juni 2017, 13:56:55 CEST schrieb Michael Ströder:
Petr Gajdos wrote:
I do not know roundcubemail at all, just in the first google hit:
https://roundcube.net/news/2016/05/22/roundcube-webmail-1.2.0-releas
ed they declared php7 support more than one year ago.

It's not roundcube's fault. Some packages needed are simply missing
for php7 in Tumbleweed. So before dropping php5 the maintainer has to
fix it.

Roundcube (and probably also some other packages) have the problem that
they have to choose between dependencies on php5-* or php7-* (or have a
roundcube-php5 and roundcube-php7 package, which makes maintenance more
funny[tm]). For historical and lazyness reasons, these dependencies are
still php5-* ;-)

I noticed this on leap (never checked on Tumbleweed):
https://bugzilla.opensuse.org/show_bug.cgi?id=1012140

Roundcube works with PHP7 without problems - but as I wrote in the
bugreport, you'll need
- Roundcube 1.2 or newer
- some php7/PEAR/* symlinks to php5/PEAR/* as a workaround for the
dependency issues

I'm quite sure dropping php5 makes fixing this much easier ;-)

I also know people out there still have php5-only scripts (I'm mostly
speaking about home-grown scripts here) which might need some changes
for php7. But, as hard as it might sound, you'll _have to_ adjust them
sooner or later, so why don't you do it now? ;-)


Regards,

Christian Boltz
--
Naja, nicht alles von IBM ist gut. Auch Microsoft hat außer Mäusen
ja noch nichts bemerkenswertes produziert. [Olaf Kaluza in d.a.f.c]

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >